//
//  Point2D.h
//  MotionDetection
//
//  Created by Kevin Toublanc on 08/03/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//
#import <math.h>
typedef struct{
    double x, y;
}Point2D;


typedef struct{
    double x, y, z;
}Point3D;

typedef Point2D Vector2D;

typedef Point3D Vector3D;

typedef struct{
    Point2D origin;
    Vector2D vectors[2];
}Plane2D;

typedef struct {
    Point3D origin;
    Vector3D vectors[2];
    Vector3D normalizedVectors[2];
    
}Plane3D;

/**
 ** Line y = a * x + b
 **/
typedef struct{
    double a, b;
}Line2D;

Plane3D MDMedianPlane(Plane3D firstPlane, Plane3D secondPlane);


Point3D MDProjectPointOntoPlaneWhithOrthogonalProjection(Point3D point, Plane3D plane, Vector3D normal);


Vector3D MDNormalVectorFromPlane(Plane3D plane);

Point2D MDTransform3DPointIn2DPoint(Point3D point, Plane3D plane);
