//
//  MotionDetectionOperation.h
//  MotionDetection
//
//  Created by Kevin Toublanc on 27/01/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "CircularFrameProcessingQueue.h"

#define MotionMovementCalculOperationMaxFrameCount = 5;

@interface MotionMovementCalculOperation : NSOperation{
    Frame * previousFrame;
}
@property (assign, nonatomic) CircularFrameProcessingQueue * queue;
@property (assign, readonly) Frame * processedFrame;

- (id)initWithFrameProcessingQueue:(CircularFrameProcessingQueue*) q;
@end
