//
//  SimpleConvolutionMask.h
//  MotionDetection
//
//  Created by Kévin Toublanc on 10/04/12.
//  Copyright (c) 2012 Polytech'Tours. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ConvolutionMaskProtocol.h"

@interface SimpleConvolutionMask : NSObject <ConvolutionMaskProtocol>{
    int *** lut;
    int halfMaskHeight, halfMaskWidth;
    float nbPixelsMask;
    @public
    unsigned int nbPoint;
    
}
-(void) setLUT:(int ***) aLut;
@property (atomic) BOOL canceled;

@end
