//
//  VideoController.h
//  Log-Laplace
//
//  Created by Kévin Toublanc on 12/04/12.
//  Copyright (c) 2012 Polytech'Tours. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>
#import "SimpleConvolutionMask.h"

@interface VideoController : UIViewController<AVCaptureVideoDataOutputSampleBufferDelegate>
{
    int *** lut;
    CGSize maskSize;
    CGSize imageSize;
    int * mask;
    int * result;
    SimpleConvolutionMask * convolution;
    NSTimer * timer;
    NSDate * date;
}

@property (strong, nonatomic) UIView * cameraView;
@property (strong, nonatomic) AVCaptureSession * captureSession;
@property (strong, nonatomic) AVCaptureVideoPreviewLayer * previewLayer;
@property (strong, nonatomic) UIView * test;

@end
